### Constructor

# WPEPlatformHeadless ViewHeadless new

#### Declaration [src]

    WPEView*
    wpe_view_headless_new (
      WPEDisplayHeadless* display
    )

#### Description [src]

Create a new `WPEViewHeadless`.

#### Parameters

`display`

  Type: `WPEDisplayHeadless`

  A `WPEDisplayHeadless`.

  The data is owned by the caller of the function.

#### Return value

Type: `WPEView`

A `WPEView`.

The caller of the function takes ownership of the data, and is responsible for freeing it.